####---------- Define MDE ----------####
%define pclos 1
%if !%pclos
%define MDE 1
%{?_without_MDE: %global MDE 0}
%define distsuffix mde
%endif
####---------- Define MDE ----------####

%define svn 1263

%if %pclos
%define qt3_version		3.3.8
%else
%if %MDE
%define qt3_version		3.3.7-2.mdv2007.0.mde
%else
%define qt3_version		3.3.6
%endif
%endif

Name:		esvn
Summary:	eSvn is a cross-platform (QT-based) GUI Subversion.
Group:		Development/Other
%if %svn
Version:	0.7.0
Release:	%mkrel 0.svn%svn.2
Source:		http://esvn.umputun.com/%name.tar.bz2
%else
Version:	0.6.11
Release:	%mkrel 1
Source:		http://esvn.umputun.com/%name-%version.tar.bz2
%endif
License:	GPL
URL:		http://esvn.umputun.com/
BuildRoot:	%_tmppath/%name-%version-%release-buildroot
BuildRequires:	qt3-devel >= %qt3_version
BuildRequires:	subversion-devel
BuildRequires:	dos2unix
Requires:	subversion

%post
%update_menus

%preun
%clean_menus

%files
%defattr(-,root,root,0755)
%doc AUTHORS ChangeLog COPYING LICENSE README html-docs/*
%_bindir/%name
%_bindir/%name-diff-wrapper
%_datadir/pixmaps/esvn.png
%_datadir/applications/%name.desktop
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png

%description
eSvn is a cross-platform (QT-based) GUI frontend for the Subversion revision system.


%prep
%if %svn
%setup -qn %name
%else
%setup -q
%endif

%build
%make

%install
install -Dp -m755 %name %buildroot%_bindir/%name
install -Dp -m755 %name-diff-wrapper %buildroot%_bindir/%name-diff-wrapper
dos2unix COPYING

install -Dp -m644 %name.png %buildroot%_datadir/pixmaps/%name.png
install -Dp -m644 eSvn.desktop %buildroot%_datadir/applications/%name.desktop

# Install icon files
install -d %buildroot/{%_miconsdir,%_liconsdir}
convert images/%name.png -geometry 32x32 %buildroot%_iconsdir/%name.png
convert images/%name.png -geometry 16x16 %buildroot%_miconsdir/%name.png
install -m644 images/%name.png %buildroot%_liconsdir/%name.png

mkdir -p %buildroot%_datadir/applications
cat > %buildroot%_datadir/applications/%name.desktop << EOF
[Desktop Entry]
Name=%name
Comment=The eSvn is a cross-platform (QT-based) GUI for Subversion
Exec=%_bindir/%name
Icon=%name
Terminal=false
Type=Application
StartupNotify=true
Categories=Qt;X-MandrivaLinux-MoreApplications-Development-Tools;Development;RevisionControl;
EOF

%clean
rm -rf %buildroot


%changelog
* Mon Jun 25 2007 Texstar <texstar@gmail.com> 0.7.0-0.svn1263.2pclos2007
- fix synaptic section

* Thu Mar 08 2007 José Melo <mmodem00@gmail.com> 0.7.0-0.svn1263.1pclos2007
- Build for pclinuxos
- Sync svn (svn release 1263)

